package com.bea.alui.pages.components.quote;

import javax.xml.xpath.XPathConstants;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.bea.alui.pages.service.page.model.DefaultModelHandler;
import com.bea.alui.pages.web.handler.component.PageComponentHandler;

/**
 * Bean for the Quote component.
 * 
 * 
 * @author <a href="mailto:rory.douglas@bea.com">Rory Douglas</a>
 */
public class QuoteBean extends PageComponentHandler {

	/**
	 * Logger
	 */
	private static final Log LOG = LogFactory.getLog(QuoteBean.class);

	/**
	 * Array of quotes
	 */
	private String[] quotes = new String[] {
			"I like Pages",
			"Please add better quotes here"
	};
	
	/**
	 * Random quote to display
	 */
	private String quote;
	
	@Override
	protected void initSelf() {
				
		if (!isPostBack()) {
			initQuotes();
		}
	}

	private void initQuotes() {
		if (quote == null) {
			quote = quotes[(int)Math.round(Math.random()*(quotes.length-1))];
		} 
	}

	public String[] getQuotes() {
		return quotes;
	}

	public void setQuotes(String[] quotes) {
		this.quotes = quotes;
	}

	public String getQuote() {
		return quote;
	}

	public void setQuote(String quote) {
		this.quote = quote;
	}
}